GET /images

phylopic.org:phylopic-api

Summary: Lists all images, or a filtered subset.
Operation ID: getImages
Auth: unknown
Description

Images are listed from most recently approved to least recently approved, unless certain `filter_*` parameters are specified: - `filter_clade`: images are listed from most basal nodes to most deeply nested nodes. - `filter_name`: images are listed according to which one's nodes' names fit the search string best. - `filter_modified_after`, `filter_modified_before`: images are listed from most recently modified to least recently modified - `filter_modifiedFile_after`, `filter_modifiedFile_before: images are listed from ones with the most recently modified files to ones with the least recently modified files

Parameters (22)

Accept (string, header, optional)

The media type for the response, including API version. Must allow `application/vnd.phylopic.v2+json`. If omitted, `*/*` (a wildcard allowing all types) is assumed, and the response's `Content-Type` header will be `application/vnd.phylopic.v2+json`.

build (integer, query, optional)

Specifies the index of the build for the returned data. Only the current build is valid. Leaving this parameter out will yield a temporary redirect (`307`) to the same URL but with the current `build` value added to the query.

embed_contributor (string, query, optional)

If `"true"`, includes `contributor` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_generalNode (string, query, optional)

If `"true"`, includes `generalNode` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_items (string, query, optional)

If `"true"`, includes `items` in `_embedded`. (This is a prerequisite for including any embeds on the items themselves.)

Constraints: {'pattern': '^true$'}

embed_nodes (string, query, optional)

If `"true"`, includes all members of `nodes` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_specificNode (string, query, optional)

If `"true"`, includes `specificNode` in `_embedded`.

Constraints: {'pattern': '^true$'}

filter_clade (string, query, optional)

Limits results to entries within a clade (as identified by its UUID). Cannot be used alongside other `filter_*` parameters (except `filter_license_*`).

filter_collection (string, query, optional)

Limits results to entities within the specified collection. Cannot be used alongside other `filter_*` parameters (except `filter_license_*` for images).

Constraints: {'pattern': '^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$'}

filter_contributor (string, query, optional)

Limits results to entries contributed by a certain user (as identified by their UUID). Cannot be used alongside other `filter_*` parameters (except `filter_license_*`).

filter_created_after (string, query, optional)

Limits results to image entries created (that is, approved) at or after a given date-time. Cannot be used alongside other `filter_*` parameters (except `filter_created_before` and `filter_license_*`).

Constraints: {'pattern': '^\\d{4}\\-(0[1-9]|1[0-2])\\-(0[1-9]|[12][0-9]|3[01])T([0-1][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]\\.\\d{3}Z$'}

filter_created_before (string, query, optional)

Limits results to image entries created (that is, approved) at or before a given date-time. Cannot be used alongside other `filter_*` parameters (except `filter_created_after` and `filter_license_*`).

Constraints: {'pattern': '^\\d{4}\\-(0[1-9]|1[0-2])\\-(0[1-9]|[12][0-9]|3[01])T([0-1][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]\\.\\d{3}Z$'}

filter_license_by (string, query, optional)

If `"true"`, limits results to entries with a license that requires attribution. If `"false"`, limits results to entries with a license that does not require attribution.

Constraints: {'pattern': '^(true|false)$'}

filter_license_nc (string, query, optional)

If `"true"`, limits results to entries with a license that does not allow commercial usage. If `"false"`, limits results to entries with a license that allows commercial usage.

Constraints: {'pattern': '^(true|false)$'}

filter_license_sa (string, query, optional)

If `"true"`, limits results to entries with a license with the StandAlone clause. If `"false"`, limits results to entries with a license without the StandAlone clause.

Constraints: {'pattern': '^(true|false)$'}

filter_modifiedFile_after (string, query, optional)

Limits results to images whose file was modified at or after a given date-time. Cannot be used alongside other `filter_*` parameters (except `filter_modifiedFile_before` and `filter_license_*`).

Constraints: {'pattern': '^\\d{4}\\-(0[1-9]|1[0-2])\\-(0[1-9]|[12][0-9]|3[01])T([0-1][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]\\.\\d{3}Z$'}

filter_modifiedFile_before (string, query, optional)

Limits results to images whose file was modified at or before a given date-time. Cannot be used alongside other `filter_*` parameters (except `filter_modifiedFile_after` and `filter_license_*`).

Constraints: {'pattern': '^\\d{4}\\-(0[1-9]|1[0-2])\\-(0[1-9]|[12][0-9]|3[01])T([0-1][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]\\.\\d{3}Z$'}

filter_modified_after (string, query, optional)

Limits results to image entries modified at or after a given date-time. Cannot be used alongside other `filter_*` parameters (except `filter_modified_before` and `filter_license_*`).

Constraints: {'pattern': '^\\d{4}\\-(0[1-9]|1[0-2])\\-(0[1-9]|[12][0-9]|3[01])T([0-1][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]\\.\\d{3}Z$'}

filter_modified_before (string, query, optional)

Limits results to image entries modified at or before a given date-time. Cannot be used alongside other `filter_*` parameters (except `filter_modified_after` and `filter_license_*`).

Constraints: {'pattern': '^\\d{4}\\-(0[1-9]|1[0-2])\\-(0[1-9]|[12][0-9]|3[01])T([0-1][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]\\.\\d{3}Z$'}

filter_name (string, query, optional)

Limits results to entries matching a given name. The name should be normalized (all lower-case letters or hyphens, no diacritics, single spaces between words). Cannot be used alongside other `filter_*` parameters (except `filter_license_*`).

Constraints: {'pattern': '^([a-z-]+ )*[a-z-]+$'}

filter_node (string, query, optional)

Limits results to entries matching a given node. Cannot be used alongside other `filter_*` parameters (except `filter_license_*`).

page (integer, query, optional)

Specifies a particular page of items to retrieve.

Examples (5)

TitleTypeURLAction
List all images (basic request) curl http://phylopic.org/api/images
Search images by name with pagination curl http://phylopic.org/api/images?filter_name=canis&page=1
Filter by clade with embedded node details curl http://phylopic.org/api/images?filter_clade=a5c01b5e-8f21-4e9a-9c1e-7c8d5a3b2f10&embed_items=true&embed_nodes=true
List silhouette images openapi-spec https://api.phylopic.org/images?filter_node=e23284cb-38bd-4dc3-8a20-9a4a59ef23ed
Lists all images, or a filtered subset. probe-gate https://api.phylopic.org/images

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:33:02.157163 200 113ms
2026-03-23 09:36:49.575542 404 202ms
2026-03-23 09:23:17.925616 404 223ms
2026-03-23 09:14:25.278992 404 198ms
2026-03-23 09:10:26.004112 200 102ms

Response Changes

WhenOldNew
2026-03-23 09:14:25.278992 a36cd14027be e45f162b440d
2026-03-23 10:33:02.157163 e45f162b440d a67516c87f57